module.exports = {
    "globalExtends": [
        "config:recommended",
        ":semanticCommitTypeAll(fix)",
        ":disableRateLimiting",
        "customManagers:dockerfileVersions",
        "customManagers:helmChartYamlAppVersions"
    ],
    "endpoint": "https://git.chaos.fyi/api/v1",
    "platform": "gitea",
    "githubTokenWarn": false,
    "automerge": false,
    "gitAuthor": "Renovate Bot <dev.chaosfyi.renovate@wrenix.eu>",

    "commitMessageAction": "update",
    "commitMessageTopic": "dependency",
    "semanticCommits": "enabled",
    "semanticCommitScope": "deps",

    "requireConfig": "ignored",
    "onboarding": true,
    "dependencyDashboard": true,
    "automerge": true,
    "autodiscover": true,
    "autodiscoverFilter": [
      "wrenix/*"
    ],
    "hostRules": [
        {
            "matchHost": "git.chaos.fyi",
            "username": "wrenix",
            "password": process.env.RENOVATE_TOKEN
        },
        {
            "matchHost": "github.com",
            "hostType": "github",
            "token": process.env.GITHUB_COM_TOKEN
        }
    ],
    "packageRules": [{
       "matchUpdateTypes": [ "minor", "patch" ],
       "matchCurrentVersion": ">=1.0.0",
       "automerge": true
    }],
    "flux": {
        "fileMatch": [
            "gotk-components\\.yaml$",
            "release.*\\.yaml$",
            "kustomization.*\\.yaml$"
        ]
    }
};

